> ## Documentation Index
> Fetch the complete documentation index at: https://docs.composo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Attach Comment Endpoint



## OpenAPI

````yaml https://platform.composo.ai/api/evals-docs/openapi.json post /api/v1/annotations/comment
openapi: 3.1.0
info:
  title: Evals API Documentation
  description: API documentation for the evaluation endpoints
  version: 1.0.0
servers:
  - url: https://platform.composo.ai
    description: Production server
security: []
paths:
  /api/v1/annotations/comment:
    post:
      tags:
        - Annotations
      summary: Attach Comment Endpoint
      operationId: attach_comment_endpoint_api_v1_annotations_comment_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AttachCommentRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AttachCommentResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AttachCommentRequest:
      properties:
        trace_id:
          type: string
          format: uuid
          title: Trace Id
          description: The trace (request) ID to annotate
        comment:
          type: string
          title: Comment
          description: Comment to attach to this trace
      additionalProperties: false
      type: object
      required:
        - trace_id
        - comment
      title: AttachCommentRequest
    AttachCommentResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        trace_id:
          type: string
          format: uuid
          title: Trace Id
        comment:
          type: string
          title: Comment
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - trace_id
        - comment
        - created_at
      title: AttachCommentResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````